# EvalError : Error
Return to: JavaScript Core index

The EvalError is thrown when the eval method is used incorrectly.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
5.0+ | 1.0+ | 6.0+ | no | no

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
EvalError Constructor([String message]) : EvalError Creates a new instance of EvalError. | Show Details | 5.0+ | 1.0+ | 6.0+ | no | no

### EvalError([String message]) : EvalError

Creates a new instance of EvalError.

Parameters

String | message | (optional)An error message associated with the EvalError object.

Returns

EvalError |

## Inherited Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
constructor : Object Specifies the function that creates the Error prototype. | Show Details | 5.0+ | 1.0+ | 6.0+ | 7.0+ | 1.0+

Availability

  JavaScript 1.5|JScript 5.0|ECMAScript v3

message : String Error message. | Show Details | 5.5+ | 1.0+ | 6.0+ | 7.0+ | 1.0+

Availability

  JavaScript 1.5|JScript 5.5|ECMAScript v3

name : String Error name. | Show Details | 5.5+ | 1.0+ | 6.0+ | 7.0+ | 1.0+

Availability

  JavaScript 1.5|JScript 5.5|ECMAScript v3

## Properties

Property | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
message : String An error message associated with the EvalError object. | No Details

name : String Name of the EvalError object. | No Details | 5.0+ | 1.0+ | 6.0+ | no | no

## Inherited Functions

Method | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
toString() : String Converts an Error object to a string. | Show Details | 5.0+ | 1.0+ | 6.0+ | 7.0+ | 1.0+

Returns

String |

Availability

  JavaScript 1.5|JScript 5.5|ECMAScript v3

## References

Error|Error.message|Error.name

## Availability

JavaScript 1.5|JScript 5.5|ECMAScript v3

text_javascript aptana_docs